跳转至

查询钱包流水列表

请求

GET https://api.mycactus.dev/custody/v1/api/projects/{b_id}/integrated/flows
GET https://api.mycactus.com/custody/v1/api/projects/{b_id}/integrated/flows

参数

路径参数

字段类型描述
b_id
必填
String业务线 ID

查询参数

字段类型描述
tx_types
必填
String[]流水类型
允许值:Recharge (充值), Withdraw (提币), TransferIn (法币转入), TransferOut (法币转出), TranSell (交易 - 卖出), TranBuy (交易 - 买入), InternalTransferIn (内部转入), FixedReservation (固定收益), FixedPaidBack (固定收益返还), FixedRefund (固定收益购买失败退款), TxSettleIn (交易待结算 - 买入), TxSettleOut (交易待结算 - 卖出), Refund (退款), Other (其他)
currency
必填
String资产名称
dw_type
必填
Integer

充值和转出流水类型

  • 1 — 充值
  • 2 — 转出
create_time_start
必填
Long创建开始时间
create_time_end
必填
Long创建结束时间
offset
必填
Integer偏移量
limit
必填
Integer每页记录数

响应

响应体

字段类型描述
codeInteger响应码(0 = 成功)
messageString响应消息
successfulBoolean请求是否成功
dataObject钱包流水(详见下方 data 对象详情)

data(对象)

字段类型描述
offsetInteger偏移量
limitInteger每页记录数
totalInteger记录总数
metadataObject元数据
listObject[]流水列表(详见下方 list 对象详情)

list(对象)

字段类型描述
serial_numberString流水 ID
biz_serial_numberString业务流水 ID
currencyString资产名称
tx_typeString

订单流水类型

允许值:Recharge (充值), Withdraw (提币), TransferIn (法币转入), TransferOut (法币转出), TranSell (交易 - 卖出), TranBuy (交易 - 买入), InternalTransferIn (内部转入), FixedReservation (固定收益), FixedPaidBack (固定收益返还), FixedRefund (固定收益购买失败退款), TxSettleIn (交易待结算 - 买入), TxSettleOut (交易待结算 - 卖出), Refund (退款), Other (其他)

amountInteger交易金额
balanceInteger钱包币种余额
feeInteger手续费
create_timeLong流水创建时间

响应示例

{
  "code": 0,
  "message": "",
  "data": {
    "offset": 0,
    "limit": 10,
    "list": [
      {
        "serial_number": "string",
        "biz_serial_number": "string",
        "currency": "string",
        "amount": 0,
        "balance": 0,
        "tx_type": "string",
        "create_time": 1663686589484,
        "fee": 0
      }
    ],
    "total": 0,
    "metadata": null
  },
  "successful": true
}